# -*- coding: mbcs -*-
#
# Abaqus/Viewer Release 6.10-1 replay file
# Internal Version: 2010_04_29-14.17.36 102575
# Run by Christian on Sun Nov 02 20:38:23 2014
#

# from driverUtils import executeOnCaeGraphicsStartup
# executeOnCaeGraphicsStartup()
#: Executing "onCaeGraphicsStartup()" in the site directory ...
from abaqus import *
from abaqusConstants import *
session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=31.0, 
    height=31.0)
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
from viewerModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
o2 = session.openOdb(name='Transient_TemperaturField.odb')
#: Model: I:/Abaqus_WorkSpace/Temp/Transient_TemperaturField.odb
#: Number of Assemblies:         1
#: Number of Assembly instances: 0
#: Number of Part instances:     2
#: Number of Meshes:             2
#: Number of Element Sets:       1
#: Number of Node Sets:          1
#: Number of Steps:              1
session.viewports['Viewport: 1'].setValues(displayedObject=o2)
leaf = dgo.LeafFromPartInstance(partInstanceName=('UNTERLAGE-1', ))
session.viewports['Viewport: 1'].odbDisplay.displayGroup.remove(leaf=leaf)
odb = session.odbs['I:/Abaqus_WorkSpace/Temp/Transient_TemperaturField.odb']
xyList = xyPlot.xyDataListFromField(odb=odb, outputPosition=NODAL, variable=((
    'NT11', NODAL), ), nodePick=(('VERSCHIEBEBLOCK-1', 1, ('[#0:5 #2000000 ]', 
    )), ), )
xyp = session.XYPlot('XYPlot-1')
chartName = xyp.charts.keys()[0]
chart = xyp.charts[chartName]
curveList = session.curveSet(xyData=xyList)
chart.setValues(curvesToPlot=curveList)
session.viewports['Viewport: 1'].setValues(displayedObject=xyp)
